## python-dtcwt 0.11.0

=== docs/requirements.txt ===
ipython
matplotlib

=== tests/requirements.txt ===
# Testing-specific packages
pytest
pytest-capturelog
pytest-cov
coverage

## python-dtcwt 0.10.1+dfsg1

=== debian/changelog ===
python-dtcwt (0.10.1+dfsg1-1) unstable; urgency=low

  * Initial release (Closes: #793139)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Mon, 20 Jul 2015 23:05:14 +0100

=== debian/control ===
Source: python-dtcwt
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3),
               python-coverage,
               python-matplotlib,
               python-nose,
               python-numpy,
               python-setuptools,
               python-six,
               python-sphinx (>= 1.0.7+dfsg-1~),
               python3-all,
               python3-coverage,
               python3-nose,
               python3-numpy,
               python3-setuptools,
               python3-six
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/python-dtcwt.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/python-dtcwt.git
Homepage: https://github.com/rjw57/dtcwt
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-dtcwt
Section: python
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-pyopencl,
Suggests: python-dtcwt-doc
Description: Dual-Tree Complex Wavelet Transform library for Python 2
 This library provides support for computing 1D, 2D and 3D dual-tree complex 
 wavelet transforms and their inverse in Python, along with a collection of 
 DT-CWT algorithms and GPU acceleration.
 .
 This package provides the Python 2 version of the dtcwt module.

Package: python3-dtcwt
Section: python
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-pyopencl
Suggests: python-dtcwt-doc
Description: Dual-Tree Complex Wavelet Transform library for Python 3
 This library provides support for computing 1D, 2D and 3D dual-tree complex 
 wavelet transforms and their inverse in Python, along with a collection of 
 DT-CWT algorithms and GPU acceleration.
 .
 This package provides the Python 3 version of the dtcwt module.

Package: python-dtcwt-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-mathjax
Description: Documentation of the Python implementation of the DT-CWT
 This library provides support for computing 1D, 2D and 3D dual-tree complex 
 wavelet transforms and their inverse in Python, along with a collection of 
 DT-CWT algorithms and GPU acceleration.
 .
 This package provides the documentation of the dtcwt module.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=dtcwt
DOCPKG=python-$(PYBUILD_NAME)-doc

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	python setup.py nosetests
	python3 setup.py nosetests
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	dh_link --package=$(DOCPKG) \
		/usr/share/javascript/mathjax/MathJax.js \
		/usr/share/doc/$(DOCPKG)/html/_static/MathJax.js
	dh_sphinxdoc --package=$(DOCPKG)
endif

=== debian/watch ===
version=3
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\d+)?$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/dtcwt-$1\.tar\.gz/,\
  https://github.com/rjw57/dtcwt/tags .*/v?(\d\S*)\.tar\.gz

## python-dtcwt 0.11.0

=== debian/changelog ===
python-dtcwt (0.11.0-1) unstable; urgency=medium

  * New upstream release.
  * DFSG cleaning is no longer required:
    - d/copyright: remove Files-Excluded entry.
    - d/gbp.conf: synchronise with upstream master branch and tags.
    - d/watch: remove repacksuffix option.
  * Update patch queue:
    - Refresh use-system-mathjax.patch and reproducible-build.patch.
    - Drop Fix-usage-of-unsafe-inplace-casting.patch, applied upstream.
    - Drop Use-explicit-integer-division.patch, applied upstream.
  * d/{control,tests/*}: replace dependency on nose with pytest.
  * d/gbp.conf: switch to DEP-14 repository layout.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 10 Mar 2016 14:02:22 +0000

python-dtcwt (0.10.1+dfsg1-4) unstable; urgency=medium

  * Clean documentation build and egg-info directories.
  * Add patch fixing runtime failure with Python 3.
    File: Use-explicit-integer-division.patch
  * Bump standards version to 3.9.7, no changes required.
  * d/watch: add missing repacksuffix option.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 08 Mar 2016 10:26:31 +0000

python-dtcwt (0.10.1+dfsg1-3) unstable; urgency=medium

  * d/control: use secure VCS-Git URI.
  * d/rules: simplify doc install targets.
  * d/rules: remove test override, use pybuild instead.
  * Add patch fixing an FTBFS error in the testsuite.
    File: Fix-usage-of-unsafe-inplace-casting.patch
  * Add autopkgtest testsuite.
  * d/control: move dependency on pyopencl to Recommends.
  * d/control: cme fixed.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 27 Jan 2016 17:31:04 +0000

python-dtcwt (0.10.1+dfsg1-2) unstable; urgency=medium

  * Make build reproducible. (Closes: #794005)
    Thanks to Chris Lamb for providing the patch.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sat, 08 Aug 2015 20:25:15 +0100

=== debian/control ===
--- 
+++ 
@@ -2,36 +2,37 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: science
+Testsuite: autopkgtest
 Priority: optional
 Build-Depends: debhelper (>= 9),
                dh-python,
-               python-all (>= 2.6.6-3),
+               python-all,
                python-coverage,
                python-matplotlib,
-               python-nose,
                python-numpy,
+               python-pytest,
                python-setuptools,
                python-six,
                python-sphinx (>= 1.0.7+dfsg-1~),
                python3-all,
                python3-coverage,
-               python3-nose,
                python3-numpy,
+               python3-pytest,
                python3-setuptools,
                python3-six
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/python-dtcwt.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/python-dtcwt.git
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/python-dtcwt.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/python-dtcwt.git
 Homepage: https://github.com/rjw57/dtcwt
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 
 Package: python-dtcwt
+Architecture: all
 Section: python
-Architecture: all
 Depends: ${misc:Depends},
-         ${python:Depends},
-         python-pyopencl,
+         ${python:Depends}
+Recommends: python-pyopencl
 Suggests: python-dtcwt-doc
 Description: Dual-Tree Complex Wavelet Transform library for Python 2
  This library provides support for computing 1D, 2D and 3D dual-tree complex 
@@ -41,11 +42,11 @@
  This package provides the Python 2 version of the dtcwt module.
 
 Package: python3-dtcwt
+Architecture: all
 Section: python
-Architecture: all
 Depends: ${misc:Depends},
-         ${python3:Depends},
-         python3-pyopencl
+         ${python3:Depends}
+Recommends: python3-pyopencl
 Suggests: python-dtcwt-doc
 Description: Dual-Tree Complex Wavelet Transform library for Python 3
  This library provides support for computing 1D, 2D and 3D dual-tree complex 
@@ -55,8 +56,8 @@
  This package provides the Python 3 version of the dtcwt module.
 
 Package: python-dtcwt-doc
+Architecture: all
 Section: doc
-Architecture: all
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
          libjs-mathjax

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=dtcwt

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html

override_dh_sphinxdoc:
	dh_sphinxdoc --exclude=MathJax.js

=== debian/tests/control ===
Tests: python2
Depends: python-all,
         python-dtcwt,
         python-pytest

Tests: python3
Depends: python3-all,
         python3-dtcwt,
         python3-pytest

=== debian/watch ===
version=3
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\d+)?$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/dtcwt-$1\.tar\.gz/ \
https://github.com/rjw57/dtcwt/tags .*/v?(\d\S*)\.tar\.gz

## python-dtcwt 0.12.0

=== tests/requirements.txt ===
--- 
+++ 
@@ -3,3 +3,4 @@
 pytest-capturelog
 pytest-cov
 coverage
+scipy

=== debian/changelog ===
python-dtcwt (0.12.0-1) unstable; urgency=medium

  * Sign tags on gbp import
  * Upgrade watch file to version 4
  * New upstream version 0.12.0
  * Drop superfluous Testsuite field
  * Bump debhelper version to 10
  * Move pyopencl dependency to Suggests
  * Fixup the upstream name in copyright
  * Update the copyright dates
  * Update the BSD-2-Clause paragraph
  * Update the binary package descriptions
  * Fixup the proxy settings for the docs
  * Add new dependency on the Sphinx RTD theme
  * Build the docs with Python 3
  * Add support for the nodoc build profile
  * Add the Build-Using metadata for the docs
  * Add recommended get-orig-source target
  * Simplify integration with the system MathJax
    - Hardcode the path to MathJax in conf.py
    - Drop the .links file, no longer required
    - Drop dh_sphinxdoc override, no longer required
  * Add new test dependency on scipy
  * Add support for the nocheck build profile
  * Run autopkgtests for all supported Python versions
  * Bump standards version to 4.1.0

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Fri, 15 Sep 2017 11:36:42 +0100

python-dtcwt (0.11.0-2) unstable; urgency=medium

  * Make build reproducible.
  * Simplify packaging testsuite using Test-Command.
  * cme fix dpkg-control:
    - Drop unnecessary versioned dependency on sphinx.
    - Bump standards version to 3.9.8, no changes required.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 03 Aug 2016 13:01:59 +0100

=== debian/control ===
Source: python-dtcwt
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               dpkg-dev (>= 1.17.14),
               python-all,
               python-coverage <!nocheck>,
               python-numpy,
               python-pytest <!nocheck>,
               python-scipy <!nocheck>,
               python-setuptools,
               python-six,
               python3-all,
               python3-coverage <!nocheck>,
               python3-matplotlib <!nodoc>,
               python3-numpy,
               python3-pytest <!nocheck>,
               python3-scipy <!nocheck>,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-six,
               sphinx-common
Standards-Version: 4.1.0
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/python-dtcwt.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/python-dtcwt.git
Homepage: https://github.com/rjw57/dtcwt
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-dtcwt
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python:Depends}
Suggests: python-dtcwt-doc <!nodoc>,
          python-pyopencl
Description: Dual-Tree Complex Wavelet Transform library for Python 2
 The dtcwt library provides a Python implementation of the 1, 2 and 3-D
 dual-tree complex wavelet transform along with some associated algorithms. It
 contains a pure CPU implementation which makes use of NumPy along with an
 accelerated GPU implementation using OpenCL.
 .
 This package provides the modules for Python 2.

Package: python3-dtcwt
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-dtcwt-doc <!nodoc>,
          python3-pyopencl
Description: Dual-Tree Complex Wavelet Transform library for Python 3
 The dtcwt library provides a Python implementation of the 1, 2 and 3-D
 dual-tree complex wavelet transform along with some associated algorithms. It
 contains a pure CPU implementation which makes use of NumPy along with an
 accelerated GPU implementation using OpenCL.
 .
 This package provides the modules for Python 3.

Package: python-dtcwt-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-mathjax
Built-Using: ${sphinxdoc:Built-Using}
Description: documentation for dtcwt
 The dtcwt library provides a Python implementation of the 1, 2 and 3-D
 dual-tree complex wavelet transform along with some associated algorithms. It
 contains a pure CPU implementation which makes use of NumPy along with an
 accelerated GPU implementation using OpenCL.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=dtcwt

# For reproducible builds.
export FORCE_SOURCE_DATE=1

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -N -bhtml docs/ build/html
endif

get-orig-source:
	uscan --download-current-version --force-download --no-symlink

=== debian/tests/control ===
Test-Command: set -e
 ; cp -r tests $AUTOPKGTEST_TMP
 ; for py in $(pyversions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest -v tests
 ; done
Depends: python-all,
         python-dtcwt,
         python-pytest,
         python-scipy

Test-Command: set -e
 ; cp -r tests $AUTOPKGTEST_TMP
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest -v tests
 ; done
Depends: python3-all,
         python3-dtcwt,
         python3-pytest,
         python3-scipy

## python-dtcwt 0.14.0

=== docs/requirements.txt ===
ipython
matplotlib
sphinx-rtd-theme

=== debian/changelog ===
python-dtcwt (0.14.0-1) unstable; urgency=medium

  * Team upload.
  * Switch to recommended xir4n fork
  * New upstream version 0.14.0 (Closes: #1067329)
  * Add copyright of fork
  * Remove obsoleted patch
  * Use dh-sequence-python3
  * Set Rules-Requires-Root: no
  * Fix SyntaxWarning (Closes: #1085907)

  [ Chris Peterson ]
  * Fix autopkgtests fail with pytest 8.2 (Closes: #1072808)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 20 Dec 2024 09:30:16 +0100

python-dtcwt (0.12.0-5) unstable; urgency=medium

  * Team upload.
  * Add patch to fix test failure with Numpy 1.24.
    (closes: #1027212)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 13 Jan 2023 20:23:14 +0530

python-dtcwt (0.12.0-4) unstable; urgency=medium

  * Team Upload.
  [ Debian Janitor ]
  * Apply multi-arch hints. + python-dtcwt-doc:
    + Add Multi-Arch: foreign.

  [ Nilesh Patra ]
  * Add patch to fix FTBFS with numpy (Closes: #1026347)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 23 Dec 2022 12:05:31 +0530

python-dtcwt (0.12.0-3) unstable; urgency=medium

  * Team upload.
  * Rebuild to drop ancient sphinx Built-Using version.
  * debian/: Apply "wrap-and-sort -abst".
  * debian/control: Drop legacy build-dep dpkg-dev.
  * debian/control: Bump debhelper-compat to v13.
  * debian/control: Bump Standards-Version to 4.6.1.

 -- Boyuan Yang <byang@debian.org>  Fri, 10 Jun 2022 20:47:40 -0400

python-dtcwt (0.12.0-2) unstable; urgency=medium

  * Team upload.
  * Use Python 3 for building docs.
  * Drop Python 2 support (Closes: #937718).
  * d/control: Remove ancient X-Python-Version field.
  * d/control: Remove ancient X-Python3-Version field.
  * d/copyright: Use https protocol in Format field.
  * Use debhelper-compat instead of debian/compat.
  * d/control: Set Vcs-* to salsa.debian.org.

 -- Ondřej Nový <onovy@debian.org>  Thu, 24 Oct 2019 14:16:07 +0200

=== debian/control ===
Source: python-dtcwt
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Ghislain Antony Vaillant <ghisvail@gmail.com>,
Section: science
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-coverage <!nocheck>,
 python3-matplotlib <!nodoc>,
 python3-numpy,
 python3-pytest <!nocheck>,
 python3-scipy <!nocheck>,
 python3-setuptools,
 python3-six,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
 sphinx-common,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/science-team/python-dtcwt
Vcs-Git: https://salsa.debian.org/science-team/python-dtcwt.git
Homepage: https://github.com/xir4n/dtcwt

Package: python-dtcwt-doc
Architecture: all
Section: doc
Depends:
 libjs-mathjax,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Description: documentation for dtcwt
 The dtcwt library provides a Python implementation of the 1, 2 and 3-D
 dual-tree complex wavelet transform along with some associated algorithms. It
 contains a pure CPU implementation which makes use of NumPy along with an
 accelerated GPU implementation using OpenCL.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>
Multi-Arch: foreign

Package: python3-dtcwt
Architecture: all
Section: python
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-dtcwt-doc <!nodoc>,
 python3-pyopencl,
Description: Dual-Tree Complex Wavelet Transform library for Python 3
 The dtcwt library provides a Python implementation of the 1, 2 and 3-D
 dual-tree complex wavelet transform along with some associated algorithms. It
 contains a pure CPU implementation which makes use of NumPy along with an
 accelerated GPU implementation using OpenCL.
 .
 This package provides the modules for Python 3.

=== debian/rules ===
--- 
+++ 
@@ -9,14 +9,14 @@
 export FORCE_SOURCE_DATE=1
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build: export http_proxy=127.0.0.1:9
 override_dh_auto_build: export https_proxy=127.0.0.1:9
 override_dh_auto_build:
 	dh_auto_build
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. sphinx-build -N -bhtml docs/ build/html
+	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ build/html
 endif
 
 get-orig-source:

=== debian/tests/control ===
Test-Command: set -e
 ; cp -r tests $AUTOPKGTEST_TMP
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest -v tests
 ; done
Depends:
 python3-all,
 python3-dtcwt,
 python3-pytest,
 python3-scipy,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?@ANY_VERSION@\.tar\.gz/dtcwt-$1\.tar\.gz/ \
https://github.com/xir4n/dtcwt/tags .*/v?@ANY_VERSION@\.tar\.gz
